%define name	wxsvg
%define version	1.0
%define beta	6
%define release %mkrel 0.beta%{beta}.2

%define major	0
%define libname %mklibname %name %major

Name: 	 	%{name}
Summary: 	A library to create, manipulate and render SVG files
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}b%{beta}.tar.bz2
# Fix build: taken from SVN
Patch0:		wxsvg-1.0b6-freetype.patch
URL:		http://wxsvg.sourceforge.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	wxGTK2.6-devel
BuildRequires:	libart_lgpl-devel

%description
wxSVG is C++ library to create, manipulate and render SVG files.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
#Provides:	%name
#Obsoletes:	%name = %version-%release

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q -n %name-%{version}b%{beta}
%patch0 -p1 -b .freetype

%build
./autogen.sh
%configure2_5x --with-wx-config=%_bindir/wx-config-ansi 
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/svgview

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Wed May 23 2007 Adam Williamson <awilliamson@mandriva.com> 1.0-0.beta6.2mdv2007.0
+ Revision: 29974
- add patch to repo
- rebuild against updated libpng
- import 2007.0 .src.rpm to updates
- wrong
- copy cooker wxsvg to 2007.0 updates
- that was wrong
- copy cooker wxsvg to 2007.0 updates
- Created package structure for wxsvg.


* Sat Feb 24 2007 Emmanuel Andry <eandry@mandriva.org> 1.0-0.beta7.3mdv2007.0
+ Revision: 125328
- switch back to wxGTK2.6, dvdstyler doesn't support 2.8

* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 1.0-0.beta7.2mdv2007.1
+ Revision: 113052
- rebuild against wxGTK2.8

* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 1.0-0.beta7.1mdv2007.1
+ Revision: 112799
- buildrequires libart_lgpl-devel
- New version 1.0 beta 7
  diff patch to fix build with latest freetype

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Import wxsvg

* Wed Apr 12 2006 Jerome Martin <jmartin@mandriva.org> 1.0-0.beta6.1mdk
- beta6
- Fixed licence

* Fri Feb 03 2006 Austin Acton <austin@mandriva.org> 1.0-0.beta5.1mdk
- beta5 + fixes from cvs

* Fri Dec 30 2005 Austin Acton <austin@mandriva.org> 1.0-0.beta4.1mdk
- initial package

